Take the 2-minute tour ×
Drupal Answers is a question and answer site for Drupal developers and administrators. It's 100% free, no registration required.

I have installed the CKEditor module for Drupal 7 version 1.14. This version of the module comes with CKEditor already integrated with the module, so I am not sure how to find out exactly which version of the CKEditor this module comes with by default. I need to know this because when adding plugins from the CKEditor website only certain versions of the plugin are compatible with certain versions of the CKEditor. So how can I find this out? I have looked through the different module and JS files but I cannot find this information anywhere.

share|improve this question

2 Answers 2

up vote 2 down vote accepted

The library files are linked to directly via CKEditor's own CDN, so the answer can change depending on what their CDN is currently serving.

You can use ckeditor_get_version() to check which version is currently being used:

$current_version = ckeditor_get_version();
// e.g. 4.3.2
share|improve this answer
    
Ok sure. I'm not much of a developer, so where would I place the ckeditor_get_version() function? –  FrontEnd May 19 at 8:50
1  
Sorry that was too simplistic - you can specify which version to use at /admin/config/content/ckeditor/editg (whether that's a specific version via the CDN, or a specific version you've downloaded to the libraries folder) –  Clive May 19 at 9:03
    
Ah I can see it now, perfect. Thank you –  FrontEnd May 19 at 9:34

You can go to Ckeditor module in your contrib module list and open the readme.txt file. At the section "Requirement" you can see the compatible version of ckeditor library that you can download. the section look like this :

Requirements
------------
  - Drupal 7.x,
  - PHP 5.2 or greater,
  - CKEditor 3.4 or greater.
    You will need to download CKEditor from the official download site: http://ckeditor.com/download.
    It is recommended to always use the latest CKEditor version available.
share|improve this answer
    
But this doesn't tell me what exact version is installed with the plugin. –  FrontEnd May 19 at 9:32
    
If you have already all the library in the directory ckeditor/ckeditor of the module, you can open the file "readme.md" at the top of this file, you have your version for ckeditor like this: CKEditor 4 ========== –  Andodew May 19 at 9:52

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.